<div class="uk-padding">

  <!-- Contact Table Starts -->
  <table class="uk-table uk-table-responsive uk-table-hover">
    <thead>
      <tr>
        <th>Name</th>
        <th>Email</th>
        <th>Phone number</th>
        <th>Job Title & company</th>
        <th>Labels</th>
        <th class="uk-table-shrink">
          <a><span class="ti-layout-menu-v"></span></a>
          <div uk-dropdown="mode: click">
            <ul class="uk-nav">
              <li><a href="#"><span class="gc-icon ti-view-list-alt"></span> Display Density</a></li>
              <li><a href="#"><span class="gc-icon ti-layout-sidebar-2"></span> Change column order</a></li>
            </ul>
          </div>
        </th>
      </tr>
    </thead>
    <tr>
      <td colspan="6" class="contactNo">CONTACTS ({{contact.length}})</td>
    </tr>
    <!-- Table Body -->
    <tbody>
      <tr *ngFor="let c of contacts" (click)="viewContact(c.id)">
        <td>
          {{c.firstName}} {{c.lastName}}</td>
        <td>
          <ul>
            <li *ngFor="let e of c.emailId">
              {{e.email}}
            </li>
          </ul>
        </td>
        <td>
          <ul>
            <li *ngFor="let p of c.phone">
              {{p.code}}{{p.phoneNo}}
            </li>
          </ul>
        </td>
        <td>
          {{c.company}}<span *ngIf="c.job">,</span> {{c.job}}
        </td>
        <td>

        </td>
        <td class="uk-table-shrink">
            <span class="ti-star gc-modal-icon"></span> &nbsp;
            <span class="ti-pencil gc-modal-icon" (click)="editContact(contactView.id)"></span> &nbsp;
            <span class="ti-more-alt gc-modal-icon"></span> &nbsp;
            <div uk-dropdown="mode: click; pos: bottom-right">
              <ul class="uk-nav">
                <li><a><span class="gc-modal-icon ti-view-list-alt"></span> Print</a></li>
                <li><a><span class="gc-modal-icon ti-cloud-up"></span> Export</a></li>
                <li><a><span class="gc-modal-icon ti-envelope"></span> Hide from contacts</a></li>
                <li><a (click)="deleteContact(contactView.id)"><span class="gc-modal-icon ti-trash"></span> Delete</a>
                </li>
                <hr>
                <li><a href=""><span class="gc-modal-icon ti-layout-sidebar-2"></span> Change Label
                  </a></li>

              </ul>
            </div>
        </td>
      </tr>
    </tbody>
  </table>
</div>


<div id="gc-view-contact-modal" class="uk-flex-top" uk-modal>
  <div class="uk-modal-dialog  uk-margin-auto-vertical">
    <div class="uk-modal-body" *ngIf="contactView">
      <div class="gc-header fullname" uk-grid>
        <div class="uk-width-auto">
          {{contactView.firstName}} {{contactView.lastName}}
        </div>
        <div class="uk-width-expand uk-text-right">
          <span class="ti-star gc-modal-icon"></span>
          <span class="ti-pencil gc-modal-icon" (click)="editContact(contactView.id)"></span>
          <span class="ti-more-alt gc-modal-icon"></span>
          <div uk-dropdown="mode: click; pos: bottom-right">
            <ul class="uk-nav">
              <li><a><span class="gc-modal-icon ti-view-list-alt"></span> Print</a></li>
              <li><a><span class="gc-modal-icon ti-cloud-up"></span> Export</a></li>
              <li><a><span class="gc-modal-icon ti-envelope"></span> Hide from contacts</a></li>
              <li><a (click)="deleteContact(contactView.id)"><span class="gc-modal-icon ti-trash"></span> Delete</a>
              </li>
              <hr>
              <li><a href=""><span class="gc-modal-icon ti-layout-sidebar-2"></span> Change Label
                </a></li>

            </ul>
          </div>

          <span class="uk-modal-close gc-modal-icon" uk-close></span>
        </div>

      </div>
    </div>
    <div class="uk-modal-body" *ngIf="contactView">
      <div class="gc-header">
        Contact Details
      </div>
      <div class="gc-contact-details">
        <span class="ti-layout-grid2-thumb gc-modal-icon"></span> {{contactView.company}}<span
          *ngIf="contactView.job">,</span>
        {{contactView.job}}
      </div>
      <div class="gc-contact-details" uk-grid>
        <div class="uk-width-auto">
          <span class="ti-email gc-modal-icon"></span>
        </div>
        <div class="uk-width-expand">
          <div *ngFor="let e of contactView.emailId">
            <a href=""> {{e.email}} <span class="modallabel"><span *ngIf="e.elabel"
                  class="ti-info"></span>{{e.elabel}}</span> </a>
          </div>
        </div>
      </div>

      <div class="gc-contact-details" uk-grid>
        <div class="uk-width-auto">
          <span class="ti-mobile gc-modal-icon"></span>
        </div>
        <div class="uk-width-expand">
          <div *ngFor="let p of contactView.phone">
            {{p.code}} {{p.phoneNo}} <span class="modallabel"><span *ngIf="p.label"
                class="ti-info"></span>{{p.label}}</span>
          </div>
        </div>
      </div>
      <div class="gc-contact-details">
        <span class="ti-notepad gc-modal-icon"></span>
        {{contactView.notes}}
      </div>
    </div>
  </div>


  <div id="gc-create-contact-modal" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog gc-contact-modal uk-margin-auto-vertical">
      <app-contact-modal></app-contact-modal>
    </div>
  </div>
